Debian Bug report logs - #647043
clamz: New version needed to download recent AMZ files

version graph

Package: clamz; Maintainer for clamz is Vincent Bernat <bernat@debian.org>; Source for clamz is src:clamz.

Reported by: chris@chiappa.net

Date: Sat, 29 Oct 2011 18:12:01 UTC

Severity: important

Found in version clamz/0.4-3

Fixed in versions clamz/0.5-1, clamz/0.4-2+squeeze1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#647043; Package clamz. (Sat, 29 Oct 2011 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chris@chiappa.net:
New Bug report received and forwarded. Copy sent to Vincent Bernat <bernat@debian.org>. (Sat, 29 Oct 2011 18:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: chris+debian@chiappa.net
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clamz: New version needed to download recent AMZ files
Date: Sat, 29 Oct 2011 14:03:03 -0400
Package: clamz
Version: 0.4-3
Severity: important


Amazon seems to have changed something in their format stopping the
current clamz executable from working with an error like:
ERROR: Invalid base64 data in AMZ file 'Amazon-MP3-1319911188.amz'

As mentioned in this bug report, a newer version seems to be available
to fix this issue:
http://code.google.com/p/clamz/issues/detail?id=29

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-rc2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages clamz depends on:
ii  libc6                         2.13-7     Embedded GNU C Library: Shared lib
ii  libcurl3-gnutls               7.21.6-1   Multi-protocol file transfer libra
ii  libexpat1                     2.0.1-7    XML parsing C library - runtime li
ii  libgcrypt11                   1.4.6-5    LGPL Crypto library - runtime libr

clamz recommends no packages.

clamz suggests no packages.

-- no debconf information




Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Sat, 29 Oct 2011 19:06:16 GMT) Full text and rfc822 format available.

Notification sent to chris@chiappa.net:
Bug acknowledged by developer. (Sat, 29 Oct 2011 19:06:16 GMT) Full text and rfc822 format available.

Message #10 received at 647043-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 647043-close@bugs.debian.org
Subject: Bug#647043: fixed in clamz 0.5-1
Date: Sat, 29 Oct 2011 19:02:21 +0000
Source: clamz
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
clamz, which is due to be installed in the Debian FTP archive:

clamz_0.5-1.debian.tar.gz
  to main/c/clamz/clamz_0.5-1.debian.tar.gz
clamz_0.5-1.dsc
  to main/c/clamz/clamz_0.5-1.dsc
clamz_0.5-1_amd64.deb
  to main/c/clamz/clamz_0.5-1_amd64.deb
clamz_0.5.orig.tar.gz
  to main/c/clamz/clamz_0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated clamz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 20:34:39 +0200
Source: clamz
Binary: clamz
Architecture: source amd64
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Bernat <bernat@debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 clamz      - command-line program to download MP3's from Amazon
Closes: 647043
Changes: 
 clamz (0.5-1) unstable; urgency=low
 .
   * New upstream version. Closes: #647043.
Checksums-Sha1: 
 188614a6f46bb2e7e90f7348356658692b45fdee 1090 clamz_0.5-1.dsc
 54664614e5098f9e4e9240086745b94fe638b176 75001 clamz_0.5.orig.tar.gz
 64eaaf6e3bb9196514522244ec1683c22a67a829 2227 clamz_0.5-1.debian.tar.gz
 58d4ed8c3fca5797818f3f81ce84b5f510c8f2aa 25400 clamz_0.5-1_amd64.deb
Checksums-Sha256: 
 7ad84e3d97e12977123cb16b5e4f24376e18919143db5df77478ec2d000162cb 1090 clamz_0.5-1.dsc
 5a63f23f15dfa6c2af00ff9531ae9bfcca0facfe5b1aa82790964f050a09832b 75001 clamz_0.5.orig.tar.gz
 0062ccb117f955b346a37c630bf6dfae5f3b17d9e7f84f23f9bfe14e865759ae 2227 clamz_0.5-1.debian.tar.gz
 e7c130ec9d0e98e2d9cfb0b0f117d15286f57fc07cff9c99bfce91a515f66b3b 25400 clamz_0.5-1_amd64.deb
Files: 
 3dba5db30eb2997e77b5a2d403e18ecd 1090 utils extra clamz_0.5-1.dsc
 84543c9346b285bdc218879e241941a8 75001 utils extra clamz_0.5.orig.tar.gz
 870915f3c14680e3de97cee53740aecf 2227 utils extra clamz_0.5-1.debian.tar.gz
 424562a9ba7be319bc5f272e0418f90f 25400 utils extra clamz_0.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6sS20ACgkQKFvXofIqeU6OYQCfUXpqcGQUj0i0JiheojPKPLfm
/iYAoIaVvSA1rn3l5FMAlqjXuolNQA7L
=L5sM
-----END PGP SIGNATURE-----





Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Sun, 13 Nov 2011 20:00:04 GMT) Full text and rfc822 format available.

Notification sent to chris@chiappa.net:
Bug acknowledged by developer. (Sun, 13 Nov 2011 20:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 647043-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 647043-close@bugs.debian.org
Subject: Bug#647043: fixed in clamz 0.4-2+squeeze1
Date: Sun, 13 Nov 2011 19:58:33 +0000
Source: clamz
Source-Version: 0.4-2+squeeze1

We believe that the bug you reported is fixed in the latest version of
clamz, which is due to be installed in the Debian FTP archive:

clamz_0.4-2+squeeze1.debian.tar.gz
  to main/c/clamz/clamz_0.4-2+squeeze1.debian.tar.gz
clamz_0.4-2+squeeze1.dsc
  to main/c/clamz/clamz_0.4-2+squeeze1.dsc
clamz_0.4-2+squeeze1_amd64.deb
  to main/c/clamz/clamz_0.4-2+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated clamz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Nov 2011 09:09:26 +0100
Source: clamz
Binary: clamz
Architecture: source amd64
Version: 0.4-2+squeeze1
Distribution: stable
Urgency: low
Maintainer: Chris Silva <racerx@makeworld.com>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 clamz      - A command-line program to download MP3's from Amazon
Closes: 647043
Changes: 
 clamz (0.4-2+squeeze1) stable; urgency=low
 .
   * Handle unencrypted AMZ files that are now distributed by Amazon.
     Closes: #647043.
Checksums-Sha1: 
 0ee60093b38b4404b0faf4e66b868c6f88c38b13 1088 clamz_0.4-2+squeeze1.dsc
 b037c7b4ea3d5f14e7af14433a884d9a19ad8f70 2911 clamz_0.4-2+squeeze1.debian.tar.gz
 32338429678f73c5731e67e047e9088b7d71f7cd 24558 clamz_0.4-2+squeeze1_amd64.deb
Checksums-Sha256: 
 93813609cab2ff1ffb5b5c1b66b70a270f76dbe802cfaf2df7f9084d20458272 1088 clamz_0.4-2+squeeze1.dsc
 421594875fa8c88476488c895a913fc0a9812c03aea772a6ef5480ca1ef1ccf4 2911 clamz_0.4-2+squeeze1.debian.tar.gz
 f67e38cc9273764ebbafc2df53da174aa7ae8249f6a41b1ab0ca0481ee0092e5 24558 clamz_0.4-2+squeeze1_amd64.deb
Files: 
 44936a59fcc68e0152a771f2226da342 1088 utils extra clamz_0.4-2+squeeze1.dsc
 87cd825da1d4147163cc4b777aeefdc1 2911 utils extra clamz_0.4-2+squeeze1.debian.tar.gz
 b87887b9ac295f256e4ffc9113be027f 24558 utils extra clamz_0.4-2+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6+v3AACgkQKFvXofIqeU51ZwCgrFmLkCvJHBLIl+3SiV5Eflfx
BbcAoLB7rm7CpNNp7mjAlxMbVv0841DG
=YZKG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Dec 2011 07:37:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:34:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.